## org.eclipse.datatools.sqltools.sqlbuilder.views.graph.editparts
Class JoinEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.gef.editparts.AbstractConnectionEditPart
                  org.eclipse.datatools.sqltools.sqlbuilder.views.graph.editparts.JoinEditPart

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ISQLEditPart, org.eclipse.gef.ConnectionEditPart, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.LayerConstants, org.eclipse.gef.RequestConstants

    public class JoinEditPart

extends org.eclipse.gef.editparts.AbstractConnectionEditPart
implements ISQLEditPart

This is the view object for the connection line betw 2 columns The condition can be from a Join or a WHERE clause It is backed by the MOF SQLPredicate object

Field Summary

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.LayerConstants
`CONNECTION_LAYER, FEEDBACK_LAYER, GRID_LAYER, GUIDE_LAYER, HANDLE_LAYER, PRIMARY_LAYER, PRINTABLE_LAYERS, SCALABLE_LAYERS, SCALED_FEEDBACK_LAYER`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`JoinEditPart(PredicateBasic predicate, SQLQueryObject sqlJoinsource)`

Method Summary
`org.eclipse.gef.EditPart` `getMyRoot()`
`ValueExpressionColumn` `getSourceColumn()`
`TableExpression` `getSourceTable()`
`SQLQueryObject` `getSQLJoin()`
`PredicateBasic` `getSQLPredicate()`
`SQLQueryObject` `getStatement()`
`ValueExpressionColumn` `getTargetColumn()`
`TableExpression` `getTargetTable()`
`void` `removeJoin()` Removes the join condition (predicate) represented by this part.

Methods inherited from class org.eclipse.gef.editparts.AbstractConnectionEditPart
`addNotify, getAdapter, getConnectionFigure, getDragTracker, getSource, getTarget, refresh, removeNotify, setParent, setSource, setTarget`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`activate, addNodeListener, deactivate, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart
`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setModel, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setModel, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Constructor Detail

### JoinEditPart

    public JoinEditPart(PredicateBasic predicate,
                        SQLQueryObject sqlJoinsource)

Method Detail

### getSQLPredicate

    public PredicateBasic getSQLPredicate()

### getSourceTable

    public TableExpression getSourceTable()

### getTargetTable

    public TableExpression getTargetTable()

### getSourceColumn

    public ValueExpressionColumn getSourceColumn()

### getTargetColumn

    public ValueExpressionColumn getTargetColumn()

### getSQLJoin

    public SQLQueryObject getSQLJoin()

### getStatement

    public SQLQueryObject getStatement()

  Specified by:
    `getStatement` in interface `ISQLEditPart`

### getMyRoot

    public org.eclipse.gef.EditPart getMyRoot()

### removeJoin

    public void removeJoin()

  Removes the join condition (predicate) represented by this part. If the join has only this one predicate, then the entire join is removed.